Bug 1473131 - When uses pci passthrough,VirtualMachine's UEFI does not read SCSI/SAS HBA option rom.
When uses pci passthrough,VirtualMachine's UEFI does not read SCSI/SAS HBA op...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 01:45 EDT by kiyomi.kakitsubata
Modified: 2017-09-14 16:30 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-14 16:30:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kiyomi.kakitsubata 2017-07-20 01:45:02 EDT
Description of problem:
Virtual Machine's UEFI does not read SCSI/SAS option rom.

Version-Release number of selected component (if applicable):
Kernel   : 4.11.10(Highest Version at 2017/07/20)
qemu-kvm : 2.9.0-1(Highest Version at 2017/07/20)

How reproducible:


Steps to Reproduce:
1. virsh nodedev-detach pci__0000_01_00
2. use virt-manager,add host pci device to Virtual Machine.
3. Boot Virtual Machine,UEFI firmware can not find SCSI/SAS HBA's option rom,
   so it can not boot OS.

Actual results:
Manualy,I tried to load option rom in Virtual Machine's EFI Shell,
it can find SCSI/SAS Drive and boot OS.

Expected results:


Additional info:
Comment 1 Cole Robinson 2017-08-03 11:44:26 EDT
Please provide the VM XML, sudo virsh dumpxml $vmname

What edk2 version are you using?

Note You need to log in before you can comment on or make changes to this bug.